Skip to main content
GET
Meters / List

Authorizations

Authorization
string
header
required

OAuth2 Bearer Authorization

Scopes

asset:meters

Headers

Accept-Language
string

BCP 47 language tag for content negotiation (e.g. en, de-DE).

Example:

"en"

Query Parameters

location_uuid
string

Restricts the list to the meters assigned to this location. The location must belong to the authenticated client; an unknown UUID returns 404.

Pattern: ^[a-f0-9]{8}\-[a-f0-9]{4}\-4[a-f0-9]{3}\-[89ab][a-f0-9]{3}\-[a-f0-9]{12}$
station_uuid
string

Restricts the list to the meters assigned to this station. The station must belong to the authenticated client; an unknown UUID returns 404.

Pattern: ^[a-f0-9]{8}\-[a-f0-9]{4}\-4[a-f0-9]{3}\-[89ab][a-f0-9]{3}\-[a-f0-9]{12}$
chargepoint_uuid
string

Restricts the list to the meters assigned to this charge point. The charge point must belong to the authenticated client; an unknown UUID returns 404.

Pattern: ^[a-f0-9]{8}\-[a-f0-9]{4}\-4[a-f0-9]{3}\-[89ab][a-f0-9]{3}\-[a-f0-9]{12}$
limit
integer<int64>

Maximum number of items per page. Maximum value is 25.

Required range: 1 <= x <= 25
Example:

"10"

page
integer<int64>

Page number to retrieve (starting from 1).

Required range: x >= 1
Example:

"1"

Response

Paginated meter collection.

meters
object[]
required

Meters in this page. Empty when no meters match.

pagination
object

Pagination